summaryrefslogtreecommitdiffstats
path: root/testfiles/cli_tests/match_regex.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:24:48 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:24:48 +0000
commitcca66b9ec4e494c1d919bff0f71a820d8afab1fa (patch)
tree146f39ded1c938019e1ed42d30923c2ac9e86789 /testfiles/cli_tests/match_regex.sh
parentInitial commit. (diff)
downloadinkscape-cca66b9ec4e494c1d919bff0f71a820d8afab1fa.tar.xz
inkscape-cca66b9ec4e494c1d919bff0f71a820d8afab1fa.zip
Adding upstream version 1.2.2.upstream/1.2.2upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'testfiles/cli_tests/match_regex.sh')
-rw-r--r--testfiles/cli_tests/match_regex.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/testfiles/cli_tests/match_regex.sh b/testfiles/cli_tests/match_regex.sh
new file mode 100644
index 0000000..24a6347
--- /dev/null
+++ b/testfiles/cli_tests/match_regex.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+testfile=$1
+regex=$2
+
+test -f "${testfile}" || { echo "match_regex.sh: testfile '${testfile}' not found."; exit 1; }
+test -n "${regex}" || { echo "match_regex.sh: no regex to match spoecified."; exit 1; }
+
+if ! grep -E "${regex}" "${testfile}"; then
+ echo "match_regex.sh: regex '${regex}' does not match in testfile '${testfile}'."
+ exit 1
+fi